org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class CountTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.CountTest

- Direct Known Subclasses:
    CountTest.Traversals

      public abstract class CountTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CountTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_both_both_count()`
    `void` | `g_V_count()`
    `void` | `g_V_fold_countXlocalX()`
    `void` | `g_V_hasXnoX_count()`
    `void` | `g_V_out_count()`
    `void` | `g_V_repeatXoutX_timesX3X_count()`
    `void` | `g_V_repeatXoutX_timesX5X_asXaX_outXwrittenByX_asXbX_selectXa_bX_count()`
    `void` | `g_V_repeatXoutX_timesX8X_count()`
    `void` | `g_V_whereXinXkknowsX_outXcreatedX_count_is_0XX_name()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_both_both_count()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_count()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_fold_countXlocalX()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_hasXnoX_count()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_out_count()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_repeatXoutX_timesX3X_count()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_repeatXoutX_timesX5X_asXaX_outXwrittenByX_asXbX_selectXa_bX_count()`
    `abstract Traversal<Vertex,Long>` | `get_g_V_repeatXoutX_timesX8X_count()`
    `abstract Traversal<Vertex,String>` | `get_g_V_whereXinXknowsX_outXcreatedX_count_is_0XX_name()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CountTest

          public CountTest()

  - ### Method Detail

    - #### get_g_V_count

          public abstract Traversal<Vertex,Long> get_g_V_count()

    - #### get_g_V_out_count

          public abstract Traversal<Vertex,Long> get_g_V_out_count()

    - #### get_g_V_both_both_count

          public abstract Traversal<Vertex,Long> get_g_V_both_both_count()

    - #### get_g_V_repeatXoutX_timesX3X_count

          public abstract Traversal<Vertex,Long> get_g_V_repeatXoutX_timesX3X_count()

    - #### get_g_V_repeatXoutX_timesX8X_count

          public abstract Traversal<Vertex,Long> get_g_V_repeatXoutX_timesX8X_count()

    - #### get_g_V_repeatXoutX_timesX5X_asXaX_outXwrittenByX_asXbX_selectXa_bX_count

          public abstract Traversal<Vertex,Long> get_g_V_repeatXoutX_timesX5X_asXaX_outXwrittenByX_asXbX_selectXa_bX_count()

    - #### get_g_V_hasXnoX_count

          public abstract Traversal<Vertex,Long> get_g_V_hasXnoX_count()

    - #### get_g_V_fold_countXlocalX

          public abstract Traversal<Vertex,Long> get_g_V_fold_countXlocalX()

    - #### get_g_V_whereXinXknowsX_outXcreatedX_count_is_0XX_name

          public abstract Traversal<Vertex,String> get_g_V_whereXinXknowsX_outXcreatedX_count_is_0XX_name()

    - #### g_V_count

          public void g_V_count()

    - #### g_V_out_count

          public void g_V_out_count()

    - #### g_V_both_both_count

          public void g_V_both_both_count()

    - #### g_V_repeatXoutX_timesX3X_count

          public void g_V_repeatXoutX_timesX3X_count()

    - #### g_V_repeatXoutX_timesX8X_count

          public void g_V_repeatXoutX_timesX8X_count()

    - #### g_V_repeatXoutX_timesX5X_asXaX_outXwrittenByX_asXbX_selectXa_bX_count

          public void g_V_repeatXoutX_timesX5X_asXaX_outXwrittenByX_asXbX_selectXa_bX_count()

    - #### g_V_hasXnoX_count

          public void g_V_hasXnoX_count()

    - #### g_V_fold_countXlocalX

          public void g_V_fold_countXlocalX()

    - #### g_V_whereXinXkknowsX_outXcreatedX_count_is_0XX_name

          public void g_V_whereXinXkknowsX_outXcreatedX_count_is_0XX_name()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.